/**
 * 使用方法与后台的StringFormat方法一样，StringFormat("abc{0}def","123");输出结果为"abc123def"。
 * @returns {*}
 * @constructor
 */
function StringFormat() {
    if (arguments.length == 0)
        return null;
    var str = arguments[0];
    for (var i = 1; i < arguments.length; i++) {
        var re = new RegExp('\\{' + (i - 1) + '\\}', 'gm');
        str = str.replace(re, arguments[i]);
    }
    return str;
}

/**
 * 将字符串数组转化为字符串
 * @param arr
 * @returns {null}
 */
function arrToString(arr) {
    if (arr == null || arr.length == 0) {
        return null;
    }
    var result = null;
    for (var i = 0; i < arr.length; i++) {
        if (result == null) {
            result = arr[i];
        } else {
            result += "," + arr[i];
        }
    }
    return result;
}

/**
 * 获取返回的html中的js，并执行
 * @param html
 */
function executeScript(html) {
    //对整段HTML片段按<\/script>拆分
    var htmlBlock = html.split("<\/script>");
    for (var i in htmlBlock) {
        var reg = htmlBlock[i].match(/<script .*?src=\"(.+?)\"/);
        if (reg != null) {
            try {
                $.getScript(reg[1]);
            }
            catch (e) {
            }

        }
    }
}

/**
 * 判断内容是否是中文
 * @param val
 * @returns {boolean}
 */
function isChinese(val) {
    var reg = new RegExp("[\\u4E00-\\u9FA5]+", "g");
    if (reg.test(val)) {
        return true;
    }
    return false;
}






